SystemOrganization addCategory: #AMP!

WebWidget subclass: #AMPWebElement
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPWebElement class methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 10:36'!
new
	^ super new method: #ajaxStarter:.
! !

!AMPWebElement methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 10:28'!
ajaxStarter: aString
	Transcript show:aString.! !

WebApplication subclass: #AMPMusicPlayerApp
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPMusicPlayerApp class methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 10:26'!
register
	| x amp hostname ip siteName styleClass |

	amp _ AMPMusicPlayer new.
	
	hostname:= '*'. 
	ip := '*'.
	styleClass := 'WebStyle'. 
	siteName := 'mysite'.
	(AIDASite named: siteName) isNil ifTrue: [
		x _ AIDASite new name: siteName.
		x  host: hostname ip: ip port: 8000.
		x styleClass: styleClass.	
		SwazooServer singleton addSite: x.
		SwazooServer startSite: siteName.	].		
	(AIDASite named: siteName) urlResolver defaultURL: '/' forObject: amp.
	AIDASite default: siteName.! !

!AMPMusicPlayerApp methodsFor: 'as yet unclassified' stamp: 'SW 11/2/2010 09:51'!
clear! !

!AMPMusicPlayerApp methodsFor: 'as yet unclassified' stamp: 'SW 11/2/2010 12:31'!
clickEventFor:aEntry
|e|
e := WebElement new.
e style: ''.
e addTextBold: 'play'.
Transcript show: 'clickEventFor', aEntry.
^e
! !

!AMPMusicPlayerApp methodsFor: 'as yet unclassified' stamp: 'SW 11/3/2010 10:39'!
viewMain
	| e rootDir |
	e _ WebElement new.
	e addTextH1: 'Hello World'.
	rootDir := self observee rootDirectory.
	(rootDir entries select: [:entry | entry isDirectory ]) 
		do: [:entry | | div |	
"			div _ WebElement new class: #ampSubdirectory.
			
			div addText: entry.
			div onClickUpdate: (self clickEventFor: 1).
			e add:div."
			div _ AMPWebElement new class: #ampSubdirectory; div:true.
			(div addText: entry name) onClickUpdate: div with:entry name.
			
			e add:div.
			
		].
	self observee rootDirectory fileNames do: [:entry | | div |	
			div _ WebElement new class: #ampMusicFile.
			div addText: entry.
			e add:div.
		].
	
	self style pageFrameWith:e title:'blub'.! !

Object subclass: #AMPMusicPlayer
	instanceVariableNames: 'rootDirectory player'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AMP'!

!AMPMusicPlayer class methodsFor: 'as yet unclassified' stamp: 'SW 11/2/2010 10:28'!
defaultPath
	^'E:\'! !

!AMPMusicPlayer methodsFor: 'as yet unclassified' stamp: 'SW 11/2/2010 10:59'!
initialize
	rootDirectory := FileDirectory forFileName:AMPMusicPlayer defaultPath.
	
	"AMPDirectory new for: AMPMusicPlayer defaultPath.
	rootDirectory openDirectory."! !

!AMPMusicPlayer methodsFor: 'as yet unclassified' stamp: 'SW 11/1/2010 18:08'!
playSong:number
	self player openFileNamed: (self songs at:number).
! !

!AMPMusicPlayer methodsFor: 'as yet unclassified' stamp: 'SW 11/1/2010 18:07'!
player
	player ifNil: [player:=MPEGDisplayMorph new].
	^player! !

!AMPMusicPlayer methodsFor: 'as yet unclassified' stamp: 'SW 11/2/2010 10:30'!
rootDirectory 
	^rootDirectory
! !
